#
# Cookbook Name:: alphard-java
# Recipe:: default
#
# Copyright 2016, Hydra Technologies, Inc
#
# All rights reserved - Do Not Redistribute
#

bash 'install java debian repository' do
  user 'root'
  group 'root'
  code <<-EOH
	add-apt-repository -y ppa:webupd8team/java
	apt-get update
	echo debconf shared/accepted-oracle-license-v1-1 select true | debconf-set-selections
	echo debconf shared/accepted-oracle-license-v1-1 seen true | debconf-set-selections
  EOH
  not_if '[ -f /usr/bin/java ]'
end

bash 'install java' do
  user 'root'
  group 'root'
  code <<-EOH
	apt-get -y install oracle-java8-installer
  EOH
end
